#3123 closed defect (wontfix)

GDB 8.0.1 is broken on FreeBSD 11

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: tool/gdb Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

I tried to add the patches for 7.11, but this results in:

--------------------------
|--- gdb/gnulib/import/stddef.in.h.orig 2016-10-07 23:33:10.529558000 -0700
|+++ gdb/gnulib/import/stddef.in.h      2016-10-07 23:33:23.824676000 -0700
--------------------------
Patching file gdb/gnulib/import/stddef.in.h using Plan A...
Hunk #1 failed at 82.
1 out of 1 hunks failed--saving rejects to gdb/gnulib/import/stddef.in.h.rej

Change History (4)

comment:1 Changed on Sep 8, 2017 at 12:15:33 PM by Sebastian Huber

The problem seems to be still in stddef.h:

/usr/bin/c++ -O2 -pipe -fbracket-depth=1024 -I/usr/home/user/git-rtems-source-builder/rtems/build/tmp/sb-user/4.12/rtems-powerpc/opt/rtems-4.12/include
 -std=gnu++11    -I. -I../../gdb-8.0.1/gdb -I../../gdb-8.0.1/gdb/common -I../../gdb-8.0.1/gdb/config -DLOCALEDIR="\"/opt/rtems-4.12/share/locale\"" -DH
AVE_CONFIG_H -I../../gdb-8.0.1/gdb/../include/opcode -I../../gdb-8.0.1/gdb/../opcodes/.. -I../../gdb-8.0.1/gdb/../readline/.. -I../../gdb-8.0.1/gdb/../
zlib -I../bfd -I../../gdb-8.0.1/gdb/../bfd -I../../gdb-8.0.1/gdb/../include -I../libdecnumber -I../../gdb-8.0.1/gdb/../libdecnumber  -I../../gdb-8.0.1/
gdb/gnulib/import -Ibuild-gnulib/import   -DTUI=1  -I/usr/home/user/git-rtems-source-builder/rtems/build/tmp/sb-user/4.12/rtems-powerpc/opt/rtems-4.12/
include  -I/usr/local/include/python2.7 -I/usr/local/include/python2.7 -Wall -Wpointer-arith -Wno-unused -Wunused-value -Wunused-function -Wno-switch -
Wno-char-subscripts -Wempty-body -Wunused-but-set-parameter -Wunused-but-set-variable -Wno-sign-compare -Wno-narrowing -Wformat-nonliteral  -c -o ser-u
nix.o -MT ser-unix.o -MMD -MP -MF .deps/ser-unix.Tpo ../../gdb-8.0.1/gdb/ser-unix.c
c++: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
c++: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
c++: warningc++: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
c++: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
c++: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecatedc++: warning: treating 'c' input as 'c++' when in C++ mode, this
 behavior is deprecated
c++
: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]warning: unknown warning opt
ion '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]

warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
warningwarning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-parameter'; did you mean '-Wunused-parameter'? [-Wunknown-warning-option]
warning: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]warning: unknown warning
 option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
warning
: unknown warning option '-Wunused-but-set-variable'; did you mean '-Wunused-const-variable'? [-Wunknown-warning-option]
In file included from ../../gdb-8.0.1/gdb/rs6000-tdep.c:20:
In file included from ../../gdb-8.0.1/gdb/defs.h:28:
In file included from ../../gdb-8.0.1/gdb/common/common-defs.h:52:
In file included from build-gnulib/import/stdio.h:53:
build-gnulib/import/stddef.h:106:3: error: typedef redefinition with different types ('union max_align_t' vs 'long double')
} max_align_t;
  ^
/usr/include/c++/v1/stddef.h:57:21: note: previous definition is here
typedef long double max_align_t;

comment:2 Changed on Oct 12, 2017 at 2:49:38 AM by Joel Sherrill

Owner: changed from joel.sherrill@… to Sebastian Huber
Status: newassigned

comment:3 Changed on Oct 12, 2017 at 5:00:35 AM by Sebastian Huber

Resolution: wontfix
Status: assignedclosed

It works with FreeBSD 11.1. This is good enough for me.

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.